< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package computations
  Definition Classes
    ct
-  package machineryAndPlant
  Definition Classes
    computations
- CP105
- CP109
- CP110
- CP94
- CP97
- MachineryAndPlantCalculationsLogic

o

uk.gov.hmrc.ct.computations.machineryAndPlant

# CP94 

###
Companion class CP94

#### object CP94 extends Calculated[CP94, ComputationsBoxRetriever] with MachineryAndPlantCalculationsLogic with Serializable

Linear Supertypes
Serializable, Serializable, MachineryAndPlantCalculationsLogic, CtTypeConverters, Calculated[CP94, ComputationsBoxRetriever], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CP94
2. Serializable
3. Serializable
4. MachineryAndPlantCalculationsLogic
5. CtTypeConverters
6. Calculated
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculate(boxRetriever: ComputationsBoxRetriever): CP94
   Definition Classes
     CP94 → Calculated
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]
   Definition Classes
     CtTypeConverters
8.  implicit def convert(catoInt: CtOptionalInteger): Int
   Definition Classes
     CtTypeConverters
9.  implicit def convert(catoInt: CtInteger): Int
   Definition Classes
     CtTypeConverters
10.  implicit def convert(catoBoolean: CtOptionalBoolean): Boolean
    Definition Classes
      CtTypeConverters
11.  implicit def convert(catoBoolean: CtBoolean): Boolean
    Definition Classes
      CtTypeConverters
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  def sumOf(boxValues: Int*): Int
    Definition Classes
      MachineryAndPlantCalculationsLogic
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from MachineryAndPlantCalculationsLogic

### Inherited from CtTypeConverters

### Inherited from Calculated[CP94, ComputationsBoxRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped